USE raw_db;
-- DROP TABLE fund_latest_performance_dolphin;
CREATE TABLE `fund_latest_performance_dolphin` (
  `fund_id` varchar(10) NOT NULL COMMENT '基金id',
  `end_date` char(7) NOT NULL COMMENT '截至日期',
  `price_date` DATE NOT NULL,
  `pre_price_date` DATE NOT NULL,
  `nav` DECIMAL(22, 6) NULL,
  `cumulative_nav` DECIMAL(22, 6) NULL,
  `net_value_change` DECIMAL(22, 6) NULL,
  `ret_1d` DECIMAL(22, 6) NULL,
  `ret_1w` DECIMAL(22, 6) NULL,
  `ret_1m` DECIMAL(22, 6) NULL,
  `ret_3m` DECIMAL(22, 6) NULL,
  `ret_6m` DECIMAL(22, 6) NULL,
  `ret_1y` DECIMAL(22, 6) NULL,
  `ret_2y` DECIMAL(22, 6) NULL,
  `ret_3y` DECIMAL(22, 6) NULL,
  `ret_4y` DECIMAL(22, 6) NULL,
  `ret_5y` DECIMAL(22, 6) NULL,
  `ret_10y` DECIMAL(22, 6) NULL,
  `ret_ytd` DECIMAL(22, 6) NULL,
  `ret_incep` DECIMAL(22, 6) NULL,
  `ret_incep_a` DECIMAL(22, 6) NULL,
  `ret_incep_a_all` DECIMAL(22, 6) NULL,
  `ret_incep_a_gips` DECIMAL(22, 6) NULL,
  `maxdrawdown_1m` DECIMAL(22, 6) NULL,
  `maxdrawdown_3m` DECIMAL(22, 6) NULL,
  `maxdrawdown_1y` DECIMAL(22, 6) NULL,
  `maxdrawdown_incep` DECIMAL(22, 6) NULL,
  `calmarratio_incep` DECIMAL(22, 6) NULL,
  `ret_1y_a` DECIMAL(22, 6) NULL,
  `ret_2y_a` DECIMAL(22, 6) NULL,
  `ret_3y_a` DECIMAL(22, 6) NULL,
  `ret_4y_a` DECIMAL(22, 6) NULL,
  `ret_5y_a` DECIMAL(22, 6) NULL,
  `ret_10y_a` DECIMAL(22, 6) NULL,
  PRIMARY KEY (`fund_id`,`end_date`)
) COMMENT='DolphinDB写回的基金最新收益表'
